Package org.apache.groovy.lang

# Class GroovyObjectHelper

java.lang.Object
org.apache.groovy.lang.GroovyObjectHelper

public class GroovyObjectHelper extends Object
Helper for `GroovyObject`

Since:
  4.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Optional<MethodHandles.Lookup>`
  `lookup(GroovyObject groovyObject)`
  Get the `MethodHandles.Lookup` instance of the `GroovyObject` instance

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### lookup

    public static Optional<MethodHandles.Lookup> lookup(GroovyObject groovyObject)
    Get the `MethodHandles.Lookup` instance of the `GroovyObject` instance
    Parameters:
      `groovyObject` - the `GroovyObject` instance
    Returns:
      the `MethodHandles.Lookup` instance
    Since:
      4.0.0